curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/periods/{id}/lock' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"locked_by": "string"
}'
{
"closed_at": "2026-08-31T14:22:05Z",
"closed_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"end_date": "2026-08-31T14:22:05Z",
"fiscal_year": 2026,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"locked_at": "2026-08-31T14:22:05Z",
"locked_by": "string",
"period_name": "string",
"period_number": 1001,
"start_date": "2026-08-31T14:22:05Z",
"status": "pending"
}
Lock a period
Lock a period
POST
/
api
/
v1
/
gl
/
periods
/
{id}
/
lock
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/periods/{id}/lock' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"locked_by": "string"
}'
{
"closed_at": "2026-08-31T14:22:05Z",
"closed_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"end_date": "2026-08-31T14:22:05Z",
"fiscal_year": 2026,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"locked_at": "2026-08-31T14:22:05Z",
"locked_by": "string",
"period_name": "string",
"period_number": 1001,
"start_date": "2026-08-31T14:22:05Z",
"status": "pending"
}
Path parameters
string
required
GL period ID
Request body
LockPeriodRequest
string,null
Actor recorded as the locker. Defaults to
api.Response
GlPeriodResponse
string,null
string,null
string
required
string
required
integer (int32)
required
string
required
string,null
string,null
string
required
integer (int32)
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/periods/{id}/lock' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"locked_by": "string"
}'
{
"closed_at": "2026-08-31T14:22:05Z",
"closed_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"end_date": "2026-08-31T14:22:05Z",
"fiscal_year": 2026,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"locked_at": "2026-08-31T14:22:05Z",
"locked_by": "string",
"period_name": "string",
"period_number": 1001,
"start_date": "2026-08-31T14:22:05Z",
"status": "pending"
}
Last modified on August 31, 2026